Skip to main content
POST
Create a new note

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

type
enum<string>
required

Note owner type. The controller uses this to set either the entity_id or donor_id column on the new note.

Available options:
donor,
entity
program_id
required

Program context for entity-note categories; donor notes use the donor-wide category bucket.

Body

application/json

Input data format

note
string

The note text

Example:

"This is a note."

entity_id
string
Example:

"1"

donor_id
string
Example:

"1"

client_id
string
Example:

"1"

program_id
string
Example:

"donor"

type
string
Example:

"donor"

categories
string

The category of the note

Example:

"ALL"

Response

Successful operation

message
string

Success message

Example:

"Successful"